org.eclipse.viatra.cep.core.engine.runtime.util

## Class TokenInTimedZoneProcessor

- java.lang.Object
- - org.eclipse.viatra.cep.core.engine.runtime.util.TokenInTimedZoneProcessor

- All Implemented Interfaces:
    IMatchProcessor<TokenInTimedZoneMatch>

      public abstract class TokenInTimedZoneProcessor
      extends java.lang.Object
      implements IMatchProcessor<TokenInTimedZoneMatch>

  A match processor tailored for the org.eclipse.viatra.cep.core.engine.runtime.tokenInTimedZone pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenInTimedZoneProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(EventToken pEventToken, State pState, TimedZone pTimedZone)` Defines the action that is to be executed on each match.
    `void` | `process(TokenInTimedZoneMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenInTimedZoneProcessor

          public TokenInTimedZoneProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(EventToken pEventToken,
                                       State pState,
                                       TimedZone pTimedZone)

      Defines the action that is to be executed on each match.
      Parameters:
        `pEventToken` - the value of pattern parameter eventToken in the currently processed match
        `pState` - the value of pattern parameter state in the currently processed match
        `pTimedZone` - the value of pattern parameter timedZone in the currently processed match

    - #### process

          public void process(TokenInTimedZoneMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<TokenInTimedZoneMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method